<?php

class formFeedbackloptions extends cmsForm {

    public $is_tabbed = true;

    public function init() {
        $max_size = files_convert_bytes(ini_get('post_max_size')) / 1048576;

        return array(
            array(
                'title' => LANG_FEEDBACKL_SET_MESS,
                'type' => 'fieldset',
                'childs' => array(
                    new fieldList('moder_in', array(
                        'title' => LANG_FEEDBACKL_IN,
                        'hint' => LANG_FEEDBACKL_HINT_IN,
                        'items' => array(
                            '0' => LANG_FEEDBACKL_IN_USER, '1' => LANG_FEEDBACKL_IN_EMAIL)
                            )),
                    new fieldString('email', array(
                        'title' => LANG_EMAIL,
                        'hint' => LANG_FEEDBACKL_HINT_EMAIL,
                        'rules' => array(
                            array('email'),
                        ))),
                    new fieldCheckbox('mes', array(
                        'title' => LANG_FEEDBACKL_MES,
                        'hint' => LANG_FEEDBACKL_MES_HINT,
                        'default' => FALSE
                            )),
                    new fieldCheckbox('notif', array(
                        'title' => LANG_FEEDBACKL_MESSAGE_NOTIFICATION_USER,
                        'hint' => LANG_FEEDBACKL_MESSAGE_NOTIFICATION_USER_HINT,
                        'default' => FALSE
                            ))),
            ),
            array(
                'title' => LANG_FEEDBACKL_SET_DOP,
                'type' => 'fieldset',
                'childs' => array(
                    new fieldList('editor', array(
                        'title' => LANG_CP_SETTINGS_EDITOR,
                        'default' => LANG_FEEDBACKL_HTML_NO_REDACTOR,
                        'generator' => function($item) {
                            $items = array();
                            $items['0'] = LANG_FEEDBACKL_HTML_NO_REDACTOR;
                            $editors = cmsCore::getWysiwygs();
                            foreach ($editors as $editor) {
                                $items[$editor] = $editor;
                            }
                            return $items;
                        }
                            )),
                    new fieldList('rederect', array(
                        'title' => LANG_FEEDBACKL_REDIRECT_TO,
                        'items' => array(0 => LANG_FEEDBACKL_REDIRECT_TO_FORM,
                            1 => LANG_FEEDBACKL_REDIRECT_TO_PAGE_OK,
                            2 => LANG_FEEDBACKL_REDIRECT_TO_MY_URL))),
                    new fieldUrl('rederect_url', array(
                        'title' => LANG_FEEDBACKL_REDIRECT_URL,
                            )),
                    new fieldListMultiple('check_bl_controll', array(
                        'title' => LANG_FEEDBACKL_CHECK_BL,
                        'hint' => LANG_FEEDBACKL_CHECK_HINT,
                        'items' => array(
                            0 => LANG_FEEDBACKL_CHECK_NIKNAME,
                            1 => LANG_FEEDBACKL_CHECK_EMAIL,
                            2 => LANG_FEEDBACKL_CHECK_IP
                        )
                            )),
                    new fieldString('chek_url_title', array(
                        'title' => LANG_FEEDBACKL_URL_TITLE_CHECK,
                        'hint' => LANG_FEEDBACKL_URL_TITLE_CHECK_HINT,
                        'default' => LANG_FEEDBACKL_PERSONAL,
                        'rules' => array(
                            array('required'),
                        ))),
                )),
            array(
                'title' => LANG_FEEDBACKL_FILES,
                'type' => 'fieldset',
                'childs' => array(
                    new fieldCheckbox('files', array(
                        'title' => LANG_FEEDBACKL_ADD_FILES,
                        'hint' => LANG_FEEDBACKL_ADD_FILES_HINT,
                        'default' => FALSE
                            )),
                    new fieldList('show_name', array(
                        'title' => LANG_PARSER_FILE_LABEL,
                        'default' => 1,
                        'items' => array(
                            0 => LANG_PARSER_FILE_LABEL_GET,
                            1 => LANG_PARSER_FILE_LABEL_NAME,
                        )
                            )),
                    new fieldString('extensions', array(
                        'title' => LANG_PARSER_FILE_EXTS,
                        'hint' => LANG_PARSER_FILE_EXTS_HINT
                            )),
                    new fieldNumber('max_size_mb', array(
                        'title' => LANG_PARSER_FILE_MAX_SIZE,
                        'hint' => sprintf(LANG_PARSER_FILE_MAX_SIZE_PHP, $max_size)
                            )),
                    new fieldCheckbox('show_size', array(
                        'title' => LANG_PARSER_FILE_SHOW_SIZE,
                            )),
                )
            ),
            array(
                'title' => LANG_FEEDBACKL_CHECK_DOCUMENT,
                'type' => 'fieldset',
                'childs' => array(
                    new fieldHtml('document_text', array(
                        'title' => LANG_FEEDBACKL_CHECK_DOCUMENT_TEXT,
                        'hint' => LANG_FEEDBACKL_CHECK_DOCUMENT_TEXT_HINT,
                            ))
                )
        ));
    }

}
