<?php

class Feedbackl extends cmsFrontend {

    protected $useOptions = true;

    public function actionIndex() {

        $this->runAction('index');
    }

    public function sendEmailFeedback($reply_to, $to, $letter, $data = array(), $is_nl2br_text = true) {

        if (is_array($reply_to)) {

            if (empty($reply_to['email'])) {

                return false;
            }
            if (empty($reply_to['name'])) {

                $reply_to['name'] = false;
            }
        } else {
            if (empty($to)) {

                return false;
            }
            $reply_to = array('email' => $reply_to, 'name' => false);
        }
        if (is_array($to)) {

            if (empty($to['email'])) {

                return false;
            }
            if (empty($to['name'])) {

                $to['name'] = false;
            }
        } else {
            if (empty($to)) {

                return false;
            }
            $to = array('email' => $to, 'name' => false);
        }

        if (is_array($letter)) {

            if (empty($letter['text'])) {

                $letter['text'] = cmsCore::getLanguageTextFile("letters/{$letter['name']}");
            }
        } else {

            $letter = array('text' => cmsCore::getLanguageTextFile("letters/{$letter}"));
        }

        if (!$letter['text']) {

            return false;
        }

        $config = cmsConfig::getInstance();

        $data = array_merge(array(
            'site' => $this->cms_config->sitename,
            'date' => html_date(),
            'time' => html_time(),
            'host' => $this->cms_config->host
                ), $data);


        $letter['text'] = string_replace_keys_values($letter['text'], $data);

        $mailer = new cmsMailer();

        $mailer->addTo($to['email'], $to['name']);

        $mailer->SetFrom($this->cms_config->mail_from, '"' . $this->cms_config->sitename . '"');

        $mailer->setReplyTo($reply_to['email'], $reply_to['name']);

        $letter['text'] = $mailer->parseSubject($letter['text']);

        $letter['text'] = $mailer->parseAttachments($letter['text']);

        if (isset($data['file_path'])) {

            $mailer->addAttachment($this->cms_config->upload_path . $data['file_path']);
            
        }
        $mailer->setBodyHTML(($is_nl2br_text ? nl2br($letter['text']) : $letter['text']));

        $result = $mailer->send();

        $mailer->clearTo();
        
        $mailer->clearAttachments();

        return $result;
    }

    public function parsefile($value, $url = false) {

        $file = is_array($value) ? $value : cmsModel::yamlToArray($value);

        if (!$file) {

            return;
        }

        $name = $this->options['show_name'] ? $file['name'] : LANG_PARSER_FILE_LABEL_GET;

        $size_info = $this->options['show_size'] ? '<span class="size">' . files_format_bytes($file['size']) . '</span>' : '';

        if ($url) {

            return $this->getDownloadURL($file);
        } else {
            return '<a href="' . $this->getDownloadURL($file) . '">' . $name . '</a> ' . $size_info;
        }
    }

    public function getDownloadURL($file) {

        return href_to_abs('upload', $file['path']);
    }

}
